More unit tests / rigourization of ncplane_puttext()
Using `ncplane_puttext()` in colloquy, I seem to be getting e.g. `hey bitch this is motherfucking` when supplying `hey bitch this is motherfucking colloquy`
Already found one error just beefing up the existing tests, w00t (it covers the case described above).
Found another one, where a word that ends on the plane boundary is bumped to the next line, no bueno!
wow, this sure was a mess -- i mean, i knew that, but didn't know just how crappy it was. i still trust it not one whit. testing will continue until bugs stop lol.
OK, this is looking like it's in much better shape. We could probably use some tests involving wacky unicode, but we're good for now.